import type { SpotlightOverlayOptions } from '@spotlightjs/overlay';
import type { PluginOption, ViteDevServer } from 'vite';
export declare function getSpotlightClientModulePath({ server, module, }?: {
    server?: ViteDevServer;
    module?: string;
}): string;
export type SpotlightIntegration = 'sentry' | 'console' | 'viteInspect';
export type SpotlightInitOptions = {
    importPath?: string;
    integrationNames?: SpotlightIntegration[];
    port?: number;
    /**
     * Additional debug options.
     * WARNING: These options are not part of the public API and may change at any time.
     */
    __debugOptions?: Record<string, unknown>;
} & SpotlightOverlayOptions;
export declare function buildClientInit(options: SpotlightInitOptions): string;
export default function spotlight(options?: SpotlightInitOptions): PluginOption;
